Bug 105407 - Xorg assertion failure: Xorg: ../src/evdev-mt-touchpad-tap.c:1002: tp_tap_handle_state: Assertion `tp->tap.nfingers_down > 0' failed.
Summary: Xorg assertion failure: Xorg: ../src/evdev-mt-touchpad-tap.c:1002: tp_tap_han...
Status: RESOLVED FIXED
Alias: None
Product: Wayland
Classification: Unclassified
Component: libinput (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Wayland bug list
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-09 01:57 UTC by Daniel van Vugt
Modified: 2018-03-21 12:04 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel van Vugt 2018-03-09 01:57:50 UTC
Xorg assertion failure: Xorg: ../src/evdev-mt-touchpad-tap.c:1002: tp_tap_handle_state: Assertion `tp->tap.nfingers_down > 0' failed.

Sounds like it might be something fixed in libinput 1.10.2 but those fixes seem to describe different assertions to this one.

https://launchpad.net/bugs/1751086
Comment 1 Daniel van Vugt 2018-03-09 01:59:31 UTC
This is happening in libinput 1.10.1 and 1.10.0 so far.
Comment 2 Peter Hutterer 2018-03-09 04:15:01 UTC
I'll need an evemu recording for this, it's likely some tap state/palm detection confusion again. And a verification that it's happening on git master (or at least 1.10.2), thanks.
Comment 3 Daniel van Vugt 2018-03-09 04:40:48 UTC
I'm not someone experiencing the crash myself. But we can easily wait to see what happens in Ubuntu 18.04 once libinput 1.10.2 arrives there.

That said, an almost-amusing way to reproduce the crash is described here:
https://launchpad.net/bugs/1754487
Comment 4 Peter Hutterer 2018-03-09 04:54:07 UTC
If you can't reproduce it yourself, please don't upstream bugs until you've verified it happens with vanilla upstream. For all we know this is a side-effect of the other two bugs and has already been fixed.
Comment 5 Daniel van Vugt 2018-03-09 05:01:08 UTC
I'm not too concerned. The bugs are all linked and with enough detail to judge if and when this can be closed post-1.10.2 without further work. Fingers crossed.
Comment 6 sven 2018-03-09 19:18:15 UTC
I get a similar assertion on 1.10.2, while 1.10.1 works fine for me. System is a ThinkPad T420 without any external input devices.

> gnome-shell: ../libinput-1.10.2/src/evdev-mt-touchpad-tap.c:1028: 
> tp_tap_handle_state: Assertion `tp->tap.nfingers_down >= 1' failed.

And also this message by gnome-shell:
> libinput error: client bug: timer event13 middlebutton: offset negative (-222ms)
Comment 7 Peter Hutterer 2018-03-12 01:06:04 UTC

*** This bug has been marked as a duplicate of bug 105258 ***
Comment 8 Daniel van Vugt 2018-03-13 01:53:15 UTC
I'm not sure this is a duplicate. It's a very different assertion.

Maybe ignore comment 6 since it's not about this exact bug.
Comment 9 Peter Hutterer 2018-03-13 02:55:28 UTC
Can you still reproduce it with the fix in place?
Comment 10 Daniel van Vugt 2018-03-13 03:11:18 UTC
Let's assume it's not reproducible right now. The latest downstream crash report was from 1.10.1-1

We have no further information after that so maybe leave this open awaiting more info and we can close it later if there is none.
Comment 11 Peter Hutterer 2018-03-13 04:08:11 UTC
No, let's keep it closed so I don't have to spend any time on checking this bug repeatedly. It's easy enough to reopen once confirmed it still exists.
Comment 12 Andreas Hasenack 2018-03-20 14:30:42 UTC
I can reproduce this reliably on a thinkpad X1 5th gen by swiping my palm from left to right over the touchpad. I get this backtrace:
Mar 20 11:08:19 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (II) Axis 0x35 value 0 is outside expected range [1045, 5896]
Mar 20 11:08:19 nsnx /usr/lib/gdm3/gdm-x-session[16817]: See https://wayland.freedesktop.org/libinput/doc/1.10.1//absolute_coordinate_ranges.html for details
Mar 20 11:08:19 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) event5  - SynPS/2 Synaptics TouchPad: libinput bug: invalid tap event TAP_EVENT_PALM in state TAP_STATE_TAPPED
Mar 20 11:08:19 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) event5  - SynPS/2 Synaptics TouchPad: libinput bug: invalid tap event TAP_EVENT_PALM in state TAP_STATE_TAPPED
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: Xorg: ../src/evdev-mt-touchpad-tap.c:1002: tp_tap_handle_state: Assertion `tp->tap.nfingers_down > 0' failed.
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE)
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) Backtrace:
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) 0: /usr/lib/xorg/Xorg (xorg_backtrace+0x4d) [0x565247c457fd]
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) 1: /usr/lib/xorg/Xorg (0x565247a8d000+0x1bc599) [0x565247c49599]
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f28775c1000+0x12890) [0x7f28775d3890]
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) 3: /lib/x86_64-linux-gnu/libc.so.6 (gsignal+0xc7) [0x7f287720ee97]
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) 4: /lib/x86_64-linux-gnu/libc.so.6 (abort+0x141) [0x7f2877210801]
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) 5: /lib/x86_64-linux-gnu/libc.so.6 (0x7f28771d0000+0x3039a) [0x7f287720039a]
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) 6: /lib/x86_64-linux-gnu/libc.so.6 (0x7f28771d0000+0x30412) [0x7f2877200412]
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) 7: /usr/lib/x86_64-linux-gnu/libinput.so.10 (0x7f28741aa000+0x1da40) [0x7f28741c7a40]
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) 8: /usr/lib/x86_64-linux-gnu/libinput.so.10 (0x7f28741aa000+0x18e17) [0x7f28741c2e17]
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) 9: /usr/lib/x86_64-linux-gnu/libinput.so.10 (0x7f28741aa000+0x1ad90) [0x7f28741c4d90]
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) 10: /usr/lib/x86_64-linux-gnu/libinput.so.10 (0x7f28741aa000+0xf5e1) [0x7f28741b95e1]
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) 11: /usr/lib/x86_64-linux-gnu/libinput.so.10 (libinput_dispatch+0x5f) [0x7f28741b560f]
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) 12: /usr/lib/xorg/modules/input/libinput_drv.so (0x7f28743fa000+0x8988) [0x7f2874402988]
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) 13: /usr/lib/xorg/Xorg (0x565247a8d000+0x1ba973) [0x565247c47973]
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) 14: /usr/lib/xorg/Xorg (0x565247a8d000+0x1bd071) [0x565247c4a071]
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) 15: /usr/lib/xorg/Xorg (0x565247a8d000+0x1ba7be) [0x565247c477be]
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) 16: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f28775c1000+0x76db) [0x7f28775c86db]
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) 17: /lib/x86_64-linux-gnu/libc.so.6 (clone+0x3f) [0x7f28772f188f]
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE)
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE)
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: Fatal server error:
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) Caught signal 6 (Aborted). Server aborting
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE)
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE)
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: Please consult the The X.Org Foundation support
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: #011 at http://wiki.x.org
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]:  for help.
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) Please also check the log file at "/home/andreas/.local/share/xorg/Xorg.0.log" for additional information.
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE)
Mar 20 11:08:29 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (II) AIGLX: Suspending AIGLX clients for VT switch
Mar 20 11:08:30 nsnx /usr/lib/gdm3/gdm-x-session[16817]: (EE) Server terminated with error (1). Closing log file.


I'm using ubuntu bionic with xorg 1:7.7+19ubuntu5
Comment 13 Andreas Hasenack 2018-03-20 14:37:58 UTC
https://youtu.be/vZeUXZS_qyY shows the crash happening
Comment 14 Peter Hutterer 2018-03-20 22:37:02 UTC
what version of libinput is this with? 1.10.3 or later?

If you can reproduce it, please record an event sequence with evemu-record and attach it here, thanks.
Comment 15 Daniel van Vugt 2018-03-21 01:24:29 UTC
It would have been 1.10.1 that Andreas had. Ubuntu only updated to 1.10.3 less than an hour ago.
Comment 16 Peter Hutterer 2018-03-21 05:25:42 UTC
Closing as fixed then, please re-open if it's still an issue.
Comment 17 Andreas Hasenack 2018-03-21 12:04:14 UTC
Confirming that the crash stopped after I upgraded to libinput 1.10.3-2


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.